org.firebirdsql.jdbc.metadata

## Class GetSuperTypes

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetSuperTypes

    public final class GetSuperTypes
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getSuperTypes(String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetSuperTypes` `create(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getSuperTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSuperTypes

    public java.sql.ResultSet getSuperTypes()
                                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### create

    public static GetSuperTypes create(DbMetadataMediator mediator)